#########################################
# Log verbosity control for izat modules
#########################################
# OFF = 0, ERROR = 1, WARNING = 2, INFO = 3, DEBUG = 4, VERBOSE = 5
IZAT_DEBUG_LEVEL = 2

##################################################
# Select WIFI Wait Timeout value in seconds for SUPL
##################################################
WIFI_WAIT_TIMEOUT_SELECT = 0

################################
# NLP Settings
################################
# NLP_MODE  1: OSNLP Only, 2: QNP Only, 3: Combo, 4: QNP preferred
# NLP_TOLERANCE_TIME_FIRST: Time in ms used in Combo mode
# to determine how much Tolerance for first position
# NLP_TOLERANCE_TIME_AFTER: Time in ms used in Combo mode
# to determine how much Tolerance for positions after first
# NLP_THRESHOLD: Sets how many failures needed before
# switching preferred NLP in Combo mode
# NLP_ACCURACY_MULTIPLE: Determines how far off the accuracy
# must be, in multiples, between two NLP location reports to
# be considered much worse accuracy. Used in switching logic
# NLP COMBO MODE USES QNP WITH NO EULA CONSENT: Determines
# whether or not to still send network location requests to
# QNP when the EULA is not consented to by the user. QNP can
# still return ZPP locations or injected locations even
# without EULA consent, but the uncertainty can be high.
# QNP preferred mode prefers QNP when there is EULA consent,
# otherwise OSNLP is used.
NLP_MODE = 1
NLP_MODE_EMERGENCY = 1
NLP_TOLERANCE_TIME_FIRST = 5000
NLP_TOLERANCE_TIME_AFTER = 20000
NLP_THRESHOLD = 3
NLP_ACCURACY_MULTIPLE = 2
NLP_COMBO_MODE_USES_QNP_WITH_NO_EULA_CONSENT = 1
OSNLP_PACKAGE = com.google.android.gms
OSNLP_ACTION = com.android.location.service.v3.NetworkLocationProvider

# Threshold period for ZPP triggers
ZPP_TRIGGER_THRESHOLD=2147483647

###################################
# GEOFENCE SERVICES
###################################
# If set to one of the defined values below, it will override
# the responsiveness for geofence services, which implements
# the Proximity Alert API. If not set to a value defined below,
# which is default, it will not override the responsivness.
# The geofence HAL API is unaffected by this value.
# GEOFENCE_SERVICES_RESPONSIVENESS_OVERRIDE Values:
# 1: LOW responsiveness
# 2: MEDIUM responsiveness
# 3: HIGH responsiveness
GEOFENCE_SERVICES_RESPONSIVENESS_OVERRIDE = 0

#####################################
# IZAT PREMIUM FEATURE SETTINGS
#####################################
#Possible states of a feature:
#DISABLED
#BASIC
#PREMIUM

#GTP_CELL_PROC valid options:
# AP
# MODEM
GTP_CELL_PROC=MODEM

#GTP_CELL valid modes:
# DISABLED
# BASIC
GTP_CELL=DISABLED

#GTP_WIFI valid modes:
# DISABLED
# BASIC
GTP_WIFI=DISABLED

#GTP_WAA valid modes:
# DISABLED
# BASIC
GTP_WAA=DISABLED

#SAP valid modes:
# DISABLED
# BASIC
# PREMIUM
SAP=DISABLED

#ODCPI valid modes:
#DISABLED
#BASIC
ODCPI=BASIC

#FREE_WIFI_SCAN_INJECT valid modes:
#DISABLED
#BASIC
FREE_WIFI_SCAN_INJECT=DISABLED

#SUPL_WIFI valid modes:
#DISABLED
#BASIC
SUPL_WIFI=DISABLED

#WIFI_SUPPLICANT_INFO valid modes:
#DISABLED
#BASIC
WIFI_SUPPLICANT_INFO=DISABLED

#####################################
# Location process launcher settings
#####################################
# DO NOT MODIFY
# Modifying below attributes without
# caution can have serious implications.

#Values for PROCESS_STATE:
# ENABLED
# DISABLED

#FEATURE MASKS:
# GTP-WIFI    0X03
# GTP-AP-CELL 0X0c
# GTP-MP-CELL 0xc00
# GTP-WAA     0X300
# SAP         0Xc0
# ODCPI      0x1000
# FREE_WIFI_SCAN_INJECT   0x2000
# SUPL_WIFI   0x4000
# WIFI_SUPPLICANT_INFO   0x8000

#Values for PLATFORMS can be:
#1. Any valid values obtained from ro.board.platform separated by single space. For example: msm8960 msm8226
#2. 'all' or 'all exclude' -> for All platforms
#3. 'all exclude XXXX' -> All platforms exclude XXXX. For example: all exclude msm8937

#Values for BASEBAND can be:
#1. Any valid values obtained from ro.baseband separated by single space. For example: sglte sglte2
#2. 'all' or 'all exclude' -> for all basebands
#3. 'all exclude XXXX' -> All basebands exclude XXXX. For example: all exclude sglte

#Valyes for LEAN_TARGETS can be:
#ENABLED  -> if this process is supposed to run on lean and mean targets
#DISABLED -> if this process is to be disabled on lean and mean targets
PROCESS_NAME=/system/bin/garden_app
PROCESS_ARGUMENT=-u 0 -q 0 -j 0 -g 0 -l 0 -Z 0 -T 1
PROCESS_STATE=ENABLED
PROCESS_GROUPS=gps net_raw
PREMIUM_FEATURE=0
IZAT_FEATURE_MASK=0
PLATFORMS=all
BASEBAND=all
LEAN_TARGETS=DISABLED
HARDWARE_TYPE=automotive

PROCESS_NAME=/system/bin/gpsone_daemon
PROCESS_ARGUMENT=
PROCESS_STATE=DISABLED
PROCESS_GROUPS=inet net_raw
PREMIUM_FEATURE=0
IZAT_FEATURE_MASK=0
PLATFORMS=msm7630_fusion
BASEBAND=svlte2a sglte sglte2
LEAN_TARGETS=DISABLED
HARDWARE_TYPE=all

PROCESS_NAME=/system/bin/lowi-server
PROCESS_ARGUMENT=
PROCESS_STATE=DISABLED
PROCESS_GROUPS=gps net_admin wifi inet qcom_diag net_raw
PREMIUM_FEATURE=0
IZAT_FEATURE_MASK=0xf303
PLATFORMS=all
BASEBAND=all
LEAN_TARGETS=DISABLED
HARDWARE_TYPE=all

PROCESS_NAME=/system/bin/xtwifi-inet-agent
PROCESS_ARGUMENT=
PROCESS_STATE=DISABLED
PROCESS_GROUPS=inet gps
PREMIUM_FEATURE=1
IZAT_FEATURE_MASK=0xc0f
PLATFORMS=all
BASEBAND=all
LEAN_TARGETS=DISABLED
HARDWARE_TYPE=all

PROCESS_NAME=/system/bin/xtwifi-client
PROCESS_ARGUMENT=
PROCESS_STATE=DISABLED
PROCESS_GROUPS=net_admin wifi inet gps net_raw rfs_shared
PREMIUM_FEATURE=1
IZAT_FEATURE_MASK=0xf0f
PLATFORMS=all
BASEBAND=all
LEAN_TARGETS=DISABLED
HARDWARE_TYPE=all

PROCESS_NAME=/system/vendor/bin/slim_daemon
PROCESS_ARGUMENT=
PROCESS_STATE=DISABLED
PROCESS_GROUPS=gps net_raw qcom_diag
PREMIUM_FEATURE=1
IZAT_FEATURE_MASK=0xf0
PLATFORMS=all
BASEBAND=all
LEAN_TARGETS=DISABLED
HARDWARE_TYPE=all

